PERL-MODULE.ECLASS(5)

NAME
perl-module - handles generic perl module ebuilds

DESCRIPTION
The perl-module eclass is used for the compilation, testing, and installation of perl modules within the portage system, following vanilla procedure for modules using either ExtUtils::MakeMaker(3pm) or Module::Builder(3pm).

VARIABLES

style = "[builder|makemaker]"
    This variable allows you to choose which package to use as the default for building the module. If you do not specify a style, then the default ExtUtils::MakeMaker(3pm) will be used.

FUNCTIONS

perl-module_src_prep
    Create the initial Makefile.

perl-module_src_compile
    Calls perl-module_src_prep if it hasn't been already. Runs initial make.

perl-module_src_test
    If invoked, runs all the tests distributed with the module.

perl-module_src_install
    Runs `make install` (or the Module::Builder(3pm) equivelant if it is a builder module). Also cleans build paths from pod files and generated perllocal.pod.

perl-module_pkg_setup
    Calls perlinfo.

perl-module_pkg_preinst
    Calls perlinfo.

perl-module_pkg_postinst
    Calls updatepod.

perl-module_pkg_prerm
    Calls updatepod.

perl-module_pkg_postrm
    Calls updatepod.

perlinfo
    Updates the gentoo-pods documentation.

updatepod
    Cleans the perllocal.pods in ARCH_LIB and SITE_LIB.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5), ExtUtils::MakeMaker(3pm), Module::Build(3pm), perl(1)

FILES
/usr/portage/eclass/perl-module.eclass

AUTHORS
Michael Cummings <mcummings@gentoo.org>
Mike Frysinger <vapier@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/perl-module.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $